Overview | Package | Class | Tree | Deprecated | Index | Help
| TIBCO Enterprise Message Service
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tibco.tibjms.admin
Class PrincipalInfo

    java.lang.Object
      com.tibco.tibjms.admin.PrincipalInfo

Direct Known Subclasses:
  GroupInfo, UserInfo

    public abstract class PrincipalInfo

extends java.lang.Object

This abstract class represents a user or group and contains methods common to both.

Method Summary
`java.lang.String` | `getDescription()` Get the description of this user or group.
`java.lang.String` | `getName()` Get the name of this user or group.
`boolean` | `isExternal()` Indicates whether or not this user or group is external.
`void` | `setDescription(java.lang.String description)` Set the description of this user or group.
`java.lang.String` | `toString()` Generate a string representation of this PrincipalInfo.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### getName

    public java.lang.String getName()

  Get the name of this user or group.

  Returns:
    the name of this user or group.

### getDescription

    public java.lang.String getDescription()

  Get the description of this user or group.

  Returns:
    the description of this user or group.

### setDescription

    public void setDescription(java.lang.String description)
                        throws TibjmsAdminException

  Set the description of this user or group. If the user or group is external then it is an error to attempt to change its description.

  Parameters:
    `description` - the description of this user or group.
  Throws:
    `TibjmsAdminException` - if the user or group is external.

### isExternal

    public boolean isExternal()

  Indicates whether or not this user or group is external. Users and groups that are defined in an external repository such as an LDAP server are external whereas those defined in users.conf or groups.conf are not.

  Returns:
    true if the user or group is external, false otherwise.

### toString

    public java.lang.String toString()

  Generate a string representation of this PrincipalInfo.

  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    a string representation of this PrincipalInfo.

Overview | Package | Class | Tree | Deprecated | Index | Help
| TIBCO Enterprise Message Service
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © TIBCO Software Inc. All rights reserved